Skip to main content

Prepare task action

POST
/ai/gateway/tasks/actions/prepare

Contract

Parameter
Value
Sectionai-gateway
AuthenticationAIKeyAuth
Consumesapplication/json
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
requestbodyyesobject{ taskId (required, >0), action (required, for example bgp_flap), body (action JSON), idempotencyKey, ttlSeconds, schemaHash }
  • {}

Responses

6 responses

Status
Description
Type
200
Successful responseobject
400
Invalid request body, unsupported action, or nonpositive taskIdobject
401
API key is missing or invalidobject
403
Insufficient permissionsobject
409
Idempotency key has already been used for another requestobject
500
Task not found or an internal error occurredobject
  • {
      "cursor": {
        "count": 0,
        "currentPage": 0,
        "totalPages": 0,
        "totalRows": 0
      },
      "data": {}
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }